Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mysql.jdbc
Class JDBC4PreparedStatement

    java.lang.Object
      com.mysql.jdbc.StatementImpl
          com.mysql.jdbc.PreparedStatement
              com.mysql.jdbc.JDBC4PreparedStatement

All Implemented Interfaces:
  java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper

    public class JDBC4PreparedStatement

extends PreparedStatement

Nested Class Summary

Nested classes/interfaces inherited from class com.mysql.jdbc.PreparedStatement
`PreparedStatement.AppendingBatchVisitor, PreparedStatement.BatchParams, PreparedStatement.BatchVisitor, PreparedStatement.EmulatedPreparedStatementBindings, PreparedStatement.EndPoint, PreparedStatement.ParseInfo`

Nested classes/interfaces inherited from class com.mysql.jdbc.StatementImpl
`StatementImpl.CancelTask`

Field Summary

Fields inherited from class com.mysql.jdbc.PreparedStatement
`batchCommandIndex, batchedValuesClause, batchHasPlainStatements, firstCharOfStmt, hasLimitClause, isLoadDataQuery, isNull, numberOfExecutions, originalSql, parameterCount, parameterMetaData, parameterTypes, parseInfo, rewrittenBatchSize, serverSupportsFracSecs, useTrueBoolean, usingAnsiMode`

Fields inherited from class com.mysql.jdbc.StatementImpl
`batchedArgs, batchedGeneratedKeys, cancelTimeoutMutex, charConverter, charEncoding, clearWarningsCalled, connection, connectionId, continueBatchOnError, currentCatalog, doEscapeProcessing, eventSink, generatedKeysResults, holdResultsOpenOverClose, isClosed, lastInsertId, lastQueryIsOnDupKeyUpdate, maxFieldSize, maxRows, maxRowsChanged, openResults, pedantic, PING_MARKER, pingTarget, pointOfOrigin, profileSQL, results, resultSetConcurrency, resultSetType, retrieveGeneratedKeys, statementCounter, statementExecuting, statementId, timeoutInMillis, updateCount, useLegacyDatetimeCode, USES_VARIABLES_FALSE, USES_VARIABLES_TRUE, USES_VARIABLES_UNKNOWN, useUsageAdvisor, version5013OrNewer, warningChain, wasCancelled, wasCancelledByTimeout`

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`JDBC4PreparedStatement(MySQLConnection conn, java.lang.String catalog)`
`JDBC4PreparedStatement(MySQLConnection conn, java.lang.String sql, java.lang.String catalog)`
`JDBC4PreparedStatement(MySQLConnection conn, java.lang.String sql, java.lang.String catalog, PreparedStatement.ParseInfo cachedParseInfo)`

Method Summary
`void` | `setNClob(int parameterIndex, java.sql.NClob value)` JDBC 4.0 Set a NCLOB parameter.
`void` | `setRowId(int parameterIndex, java.sql.RowId x)`
`void` | `setSQLXML(int parameterIndex, java.sql.SQLXML xmlObject)`

Methods inherited from class com.mysql.jdbc.PreparedStatement
`addBatch, addBatch, asSql, asSql, canRewrite, canRewriteAsMultiValueInsertAtSqlLevel, checkBounds, checkReadOnlySafeStatement, clearBatch, clearParameters, computeBatchSize, computeMaxParameterSetSizeAndBatchSize, containsOnDuplicateKeyUpdateInSQL, detectFractionalSecondsSupport, execute, executeBatch, executeBatchedInserts, executeBatchSerially, executeInternal, executePreparedBatchAsMultiStatement, executeQuery, executeUpdate, executeUpdate, executeUpdate, fillSendPacket, fillSendPacket, getBytesRepresentation, getBytesRepresentationForBatch, getDateTime, getInstance, getInstance, getInstance, getLocationOfOnDuplicateKeyUpdate, getMetaData, getNonRewrittenSql, getParameterBindings, getParameterIndexOffset, getParameterMetaData, getParseInfo, getPreparedSql, getRewrittenBatchSize, getUpdateCount, getValuesClause, isNull, isSelectQuery, prepareBatchedInsertSQL, readFully, realClose, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setBytes, setBytesNoEscape, setBytesNoEscapeNoQuotes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setInternal, setInternal, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setOneBatchedParameterSet, setRef, setRetrieveGeneratedKeys, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL, toString`

Methods inherited from class com.mysql.jdbc.StatementImpl
`cancel, checkClosed, checkForDml, checkNullOrEmptyQuery, clearWarnings, close, closeAllOpenResults, closeOnCompletion, containsOnDuplicateKeyInString, createStreamingResultSet, disableStreamingResults, doPingInstead, enableStreamingResults, execute, execute, execute, execute, executeQuery, executeSimpleNonQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, findStartOfStatement, generatePingResultSet, getBatchedArgs, getBatchedGeneratedKeys, getBatchedGeneratedKeys, getCalendarInstanceForSessionOrNew, getConnection, getExceptionInterceptor, getFetchDirection, getFetchSize, getGeneratedKeys, getGeneratedKeysInternal, getGeneratedKeysInternal, getId, getLastInsertID, getLocalInfileInputStream, getLongUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getOnDuplicateKeyLocation, getOpenResultSetCount, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetInternal, getResultSetType, getWarnings, handleExceptionForBatch, hasDeadlockOrTimeoutRolledBackTx, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, processMultiCountsAndKeys, removeOpenResultSet, resetCancelledState, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setHoldResultsOpenOverClose, setLocalInfileInputStream, setMaxFieldSize, setMaxRows, setPingTarget, setPoolable, setQueryTimeout, setResultSetConcurrency, setResultSetType, statementBegins, unwrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.sql.Statement
`cancel, clearWarnings, close, execute, execute, execute, execute, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getWarnings, isClosed, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

Methods inherited from interface java.sql.Wrapper
`isWrapperFor, unwrap`

Constructor Detail

### JDBC4PreparedStatement

    public JDBC4PreparedStatement(MySQLConnection conn,
                                  java.lang.String catalog)
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### JDBC4PreparedStatement

    public JDBC4PreparedStatement(MySQLConnection conn,
                                  java.lang.String sql,
                                  java.lang.String catalog)
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### JDBC4PreparedStatement

    public JDBC4PreparedStatement(MySQLConnection conn,
                                  java.lang.String sql,
                                  java.lang.String catalog,
                                  PreparedStatement.ParseInfo cachedParseInfo)
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### setRowId

    public void setRowId(int parameterIndex,
                         java.sql.RowId x)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setNClob

    public void setNClob(int parameterIndex,
                         java.sql.NClob value)
                  throws java.sql.SQLException

  JDBC 4.0 Set a NCLOB parameter.

  Parameters:
    `i` - the first parameter is 1, the second is 2, ...
    `x` - an object representing a NCLOB
  Throws:
    `java.sql.SQLException` - if a database error occurs

### setSQLXML

    public void setSQLXML(int parameterIndex,
                          java.sql.SQLXML xmlObject)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD